summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormetamer2017-06-25 05:22:43 -0700
committermetamer2017-06-25 05:22:43 -0700
commit90953ee4d5aada0f2b1140e0adc468e36930c5c9 (patch)
tree4b71d34f9b1cded47572730ae1223b4ccafe0f7e
parentef1f6805b39c84583f3ecdd4a80cf56a44904391 (diff)
downloadaur-90953ee4d5aada0f2b1140e0adc468e36930c5c9.tar.gz
bump to 43.05
-rw-r--r--.SRCINFO74
-rw-r--r--PKGBUILD71
-rw-r--r--distro-fixes-64-bit.patch26
-rw-r--r--dwarffortress-lnp-git.install2
4 files changed, 103 insertions, 70 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3bc77c513ab..123dbeddf82 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,18 +1,20 @@
+# Generated by mksrcinfo v8
+# Sun Jun 25 12:22:16 UTC 2017
pkgbase = dwarffortress-lnp-git
pkgdesc = Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics
- pkgver = 43.03
- pkgrel = 8
+ pkgver = 43.05
+ pkgrel = 1
epoch = 0
install = dwarffortress-lnp-git.install
arch = x86_64
license = custom
+ makedepends = gcc
makedepends = git
makedepends = mercurial
makedepends = rsync
makedepends = perl-libxml
makedepends = perl-xml-libxslt
makedepends = cmake
- makedepends = gcc-multilib
depends = python
depends = gtk2
depends = glu
@@ -22,48 +24,47 @@ pkgbase = dwarffortress-lnp-git
depends = glew
depends = tk
depends = hicolor-icon-theme
- depends = gcc-libs-multilib
- depends = lib32-gtk2
- depends = lib32-glu
- depends = lib32-sdl_image
- depends = lib32-libsndfile
- depends = lib32-openal
- depends = lib32-libxdamage
- depends = lib32-ncurses
- depends = lib32-sdl_ttf
- depends = lib32-glew
- depends = lib32-libjpeg6-turbo
- depends = lib32-libpng12
- optdepends = lib32-nvidia-utils: If you have nvidia graphics
- optdepends = lib32-catalyst-utils: If you have ATI graphics
- optdepends = lib32-alsa-lib: for alsa sound
- optdepends = lib32-libpulse: for pulse sound
+ depends = gcc-libs
+ depends = gtk2
+ depends = glu
+ depends = sdl_image
+ depends = libsndfile
+ depends = openal
+ depends = libxdamage
+ depends = ncurses
+ depends = libjpeg6-turbo
+ depends = libpng12
+ optdepends = nvidia-utils: If you have nvidia graphics
+ optdepends = catalyst-utils: If you have ATI graphics
+ optdepends = alsa-lib: for alsa sound
+ optdepends = libpulse: for pulse sound
optdepends = java-environment: for announcement filter
optdepends = dwarftherapist-git: call dwarftherapist through gui
optdepends = soundsense: call soundsense through gui
options = !strip
options = !buildflags
source = git+https://github.com/Lazy-Newb-Pack/Lazy-Newb-Pack-Linux
- source = git+https://github.com/DFgraphics/Afro-Graphics.git#tag=43.03
- source = git+https://github.com/DFgraphics/CLA.git#tag=43.04-v23
- source = git+https://github.com/DFgraphics/GemSet.git#tag=43.03
- source = git+https://github.com/DFgraphics/Ironhand.git#tag=43.03
- source = git+https://github.com/DFgraphics/Jolly-Bastion.git#tag=43.03
- source = git+https://github.com/DFgraphics/Mayday.git#tag=43.04
- source = git+https://github.com/DFgraphics/Obsidian.git#tag=43.03
- source = git+https://github.com/DFgraphics/Phoebus.git#tag=43.03
- source = git+https://github.com/DFgraphics/Spacefox.git#tag=43.03
+ source = git+https://github.com/DFgraphics/Afro-Graphics.git#tag=43.05
+ source = git+https://github.com/DFgraphics/CLA.git#tag=43.05-v23
+ source = git+https://github.com/DFgraphics/GemSet.git#tag=43.05
+ source = git+https://github.com/DFgraphics/Ironhand.git#tag=43.05
+ source = git+https://github.com/DFgraphics/Jolly-Bastion.git#tag=43.05
+ source = git+https://github.com/DFgraphics/Mayday.git#tag=43.05
+ source = git+https://github.com/DFgraphics/Obsidian.git#tag=43.05c
+ source = git+https://github.com/DFgraphics/Phoebus.git#tag=43.05c
+ source = git+https://github.com/DFgraphics/Spacefox.git#tag=43.05
source = git+https://github.com/DFgraphics/Taffer.git
- source = git+https://github.com/DFgraphics/Tergel.git#tag=43.03
- source = git+https://github.com/DFgraphics/Wanderlust.git#tag=43.04
- source = git+https://github.com/DFHack/dfhack.git#tag=0.43.03-r1
- source = git+https://github.com/svenstaro/dwarf_fortress_unfuck.git#tag=0.43.03
- source = git+https://github.com/mifki/df-twbt.git#tag=v5.70
+ source = git+https://github.com/DFgraphics/Tergel.git#tag=43.05
+ source = git+https://github.com/DFgraphics/Wanderlust.git#tag=43.05
+ source = git+https://github.com/DFHack/dfhack.git#tag=0.43.05-r1
+ source = git+https://github.com/svenstaro/dwarf_fortress_unfuck.git#tag=0.43.05
+ source = git+https://github.com/mifki/df-twbt.git#tag=v5.84
source = hg+https://bitbucket.org/Pidgeot/python-lnp
- source = http://bay12games.com/dwarves/df_43_03_linux.tar.bz2
+ source = http://bay12games.com/dwarves/df_43_05_linux.tar.bz2
source = DFAnnouncementFilter.zip::http://dffd.bay12games.com/download.php?id=7905&f=DFAnnouncementFilter.zip
source = dfhack-twbt.patch
source = dfhack-visualizers.patch
+ source = distro-fixes-64-bit.patch
source = lnp
source = dwarffortress-lnp-git.desktop
source = dwarffortress-lnp-git.install
@@ -84,13 +85,14 @@ pkgbase = dwarffortress-lnp-git
md5sums = SKIP
md5sums = SKIP
md5sums = SKIP
- md5sums = 17d9ceb486fd476b4c6e8f0834d21d2e
+ md5sums = 5b8ee45e906d021c053f816e443c2983
md5sums = affd6273731c321d364c55a8da314fea
md5sums = 856c54681faed3608cd951bf286d12d5
md5sums = 5cc79b5dc202d8faa02086293badfcee
+ md5sums = f0bfe1fb2c806289b9970da3e07e4d7b
md5sums = 389e34b6937f843c8f635d5e7326c9fc
md5sums = bba8ab4d3f70cea8b812e78445fef1f0
- md5sums = 6a87f6069f54645847b846833ff62d5a
+ md5sums = 1c3b794a7becda3b6ce9ac453de300e6
pkgname = dwarffortress-lnp-git
diff --git a/PKGBUILD b/PKGBUILD
index ff22bf9b17e..14d06dda5b7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,60 +4,57 @@
pkgname=dwarffortress-lnp-git
-pkgver=43.03
-_pkgver=43_03
+pkgver=43.05
+_pkgver=43_05
_dfhack_pkgrel=r1
-pkgrel=8
+pkgrel=1
epoch=0
pkgdesc="Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics"
-arch=(x86_64)
+arch=('x86_64')
url=""
license=('custom')
groups=()
depends=(python gtk2 glu sdl_image libsndfile sdl_ttf glew tk
- hicolor-icon-theme)
+ hicolor-icon-theme gcc-libs gtk2 glu sdl_image libsndfile openal
+ libxdamage ncurses libjpeg6-turbo libpng12)
-optdepends=('lib32-nvidia-utils: If you have nvidia graphics'
- 'lib32-catalyst-utils: If you have ATI graphics'
- 'lib32-alsa-lib: for alsa sound'
- 'lib32-libpulse: for pulse sound'
+optdepends=('nvidia-utils: If you have nvidia graphics'
+ 'catalyst-utils: If you have ATI graphics'
+ 'alsa-lib: for alsa sound'
+ 'libpulse: for pulse sound'
'java-environment: for announcement filter')
optdepends+=("dwarftherapist-git: call dwarftherapist through gui"
"soundsense: call soundsense through gui")
-# For 64 bits:
-depends_x86_64=(gcc-libs-multilib lib32-gtk2 lib32-glu lib32-sdl_image lib32-libsndfile lib32-openal
- lib32-libxdamage lib32-ncurses lib32-sdl_ttf lib32-glew
- lib32-libjpeg6-turbo lib32-libpng12)
# For the LNP
-makedepends=(git mercurial rsync perl-libxml perl-xml-libxslt cmake)
+makedepends=(gcc git mercurial rsync perl-libxml perl-xml-libxslt cmake)
-makedepends_x86_64=(gcc-multilib)
options=(!strip !buildflags)
install=${pkgname}.install
changelog=
source=(git+"https://github.com/Lazy-Newb-Pack/Lazy-Newb-Pack-Linux"
git+"https://github.com/DFgraphics/Afro-Graphics.git"#tag=${pkgver}
- git+"https://github.com/DFgraphics/CLA.git"#tag=43.04-v23
+ git+"https://github.com/DFgraphics/CLA.git"#tag=${pkgver}-v23
git+"https://github.com/DFgraphics/GemSet.git"#tag=${pkgver}
git+"https://github.com/DFgraphics/Ironhand.git"#tag=${pkgver}
git+"https://github.com/DFgraphics/Jolly-Bastion.git"#tag=${pkgver}
- git+"https://github.com/DFgraphics/Mayday.git"#tag=43.04
- git+"https://github.com/DFgraphics/Obsidian.git"#tag=${pkgver}
- git+"https://github.com/DFgraphics/Phoebus.git"#tag=${pkgver}
+ git+"https://github.com/DFgraphics/Mayday.git"#tag=${pkgver}
+ git+"https://github.com/DFgraphics/Obsidian.git"#tag=${pkgver}c
+ git+"https://github.com/DFgraphics/Phoebus.git"#tag=${pkgver}c
git+"https://github.com/DFgraphics/Spacefox.git"#tag=${pkgver}
git+"https://github.com/DFgraphics/Taffer.git"
git+"https://github.com/DFgraphics/Tergel.git"#tag=${pkgver}
- git+"https://github.com/DFgraphics/Wanderlust.git"#tag=43.04
+ git+"https://github.com/DFgraphics/Wanderlust.git"#tag=${pkgver}
git+"https://github.com/DFHack/dfhack.git"#tag=0.${pkgver}-${_dfhack_pkgrel}
git+"https://github.com/svenstaro/dwarf_fortress_unfuck.git"#tag=0.${pkgver}
- git+"https://github.com/mifki/df-twbt.git"#tag=v5.70
+ git+"https://github.com/mifki/df-twbt.git"#tag=v5.84
hg+"https://bitbucket.org/Pidgeot/python-lnp"
"http://bay12games.com/dwarves/df_${_pkgver}_linux.tar.bz2"
'DFAnnouncementFilter.zip'::'http://dffd.bay12games.com/download.php?id=7905&f=DFAnnouncementFilter.zip'
"dfhack-twbt.patch"
"dfhack-visualizers.patch"
+ "distro-fixes-64-bit.patch"
"lnp"
"${pkgname}.desktop"
"${pkgname}.install"
@@ -82,13 +79,14 @@ md5sums=('SKIP'
'SKIP'
'SKIP'
'SKIP'
- '17d9ceb486fd476b4c6e8f0834d21d2e'
+ '5b8ee45e906d021c053f816e443c2983'
'affd6273731c321d364c55a8da314fea'
'856c54681faed3608cd951bf286d12d5'
'5cc79b5dc202d8faa02086293badfcee'
+ 'f0bfe1fb2c806289b9970da3e07e4d7b'
'389e34b6937f843c8f635d5e7326c9fc'
'bba8ab4d3f70cea8b812e78445fef1f0'
- '6a87f6069f54645847b846833ff62d5a')
+ '1c3b794a7becda3b6ce9ac453de300e6')
@@ -115,6 +113,12 @@ prepare() {
cd $srcdir/dfhack/plugins
patch -uN CMakeLists.txt $srcdir/dfhack-visualizers.patch
+ cd $srcdir/Lazy-Newb-Pack-Linux/pack/df_linux
+ patch -uN distro_fixes.sh $srcdir/distro-fixes-64-bit.patch
+
+ cd $srcdir/dfhack/plugins/stonesense
+ git checkout 00f0782
+
mkdir -p $srcdir/dfhack/plugins/df-twbt
cd $srcdir/df-twbt
rsync -av --progress $srcdir/df-twbt $srcdir/dfhack/plugins \
@@ -128,7 +132,8 @@ prepare() {
-DCMAKE_C_FLAGS:STRING="${CFLAGS} ${CPPFLAGS} -fPIC" \
-DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS} ${CPPFLAGS} -fPIC" \
-DCMAKE_EXE_LINKER_FLAGS:STRING="${LDFLAGS}" \
- -DCMAKE_SHARED_LINKER_FLAGS:STRING="${LDFLAGS}"
+ -DCMAKE_SHARED_LINKER_FLAGS:STRING="${LDFLAGS}" \
+ -DDFHACK_BUILD_ARCH:STRING="64"
cd $srcdir/dwarf_fortress_unfuck
mkdir -p build && cd build
@@ -142,7 +147,7 @@ prepare() {
}
build() {
- export DFHACKVER="${pkgver}-r3"
+ export DFHACKVER="${pkgver}-${_dfhack_pkgrel}"
cd $srcdir/dwarf_fortress_unfuck
cd build
@@ -180,7 +185,7 @@ package() {
ln -s "/opt/$pkgname/python-lnp/launch.py" "$pkgdir/opt/$pkgname/PyLNP"
- rsync -ap $srcdir/DFgraphics/graphics-packs/* "$pkgdir/opt/$pkgname/LNP/Graphics" \
+ rsync -ap $srcdir/DFgraphics/graphics-packs/* "$pkgdir/opt/$pkgname/LNP/graphics" \
--exclude .git \
--exclude .gitmodules \
--exclude .gitignore
@@ -235,18 +240,18 @@ package() {
test ! -z "$(which dwarftherapist)" \
- && mkdir -p "$pkgdir/opt/$pkgname/LNP/Utilities/dwarf_therapist" \
- && ln -s "$(which dwarftherapist)" "$pkgdir/opt/$pkgname/LNP/Utilities/dwarf_therapist/DwarfTherapist"
+ && mkdir -p "$pkgdir/opt/$pkgname/LNP/utilities/dwarf_therapist" \
+ && ln -s "$(which dwarftherapist)" "$pkgdir/opt/$pkgname/LNP/utilities/dwarf_therapist/DwarfTherapist"
test ! -z "$(which soundsense)" \
- && mkdir -p "$pkgdir/opt/$pkgname/LNP/Utilities/soundsense" \
+ && mkdir -p "$pkgdir/opt/$pkgname/LNP/utilities/soundsense" \
&& ln -s "$(which soundsense)" \
- "$pkgdir/opt/$pkgname/LNP/Utilities/soundsense/soundSense.sh"
+ "$pkgdir/opt/$pkgname/LNP/utilities/soundsense/soundSense.sh"
- mkdir -p "$pkgdir/opt/$pkgname/LNP/Utilities/df_announcement_filter"
- install -dm755 "$pkgdir/opt/$pkgname/LNP/Utilities/df_announcement_filter"
+ mkdir -p "$pkgdir/opt/$pkgname/LNP/utilities/df_announcement_filter"
+ install -dm755 "$pkgdir/opt/$pkgname/LNP/utilities/df_announcement_filter"
install -Dm755 "$srcdir/DFAnnouncementFilter.jar" \
- "$pkgdir/opt/$pkgname/LNP/Utilities/df_announcement_filter"
+ "$pkgdir/opt/$pkgname/LNP/utilities/df_announcement_filter"
install -Dm644 "${srcdir}/${pkgname}.desktop" \
diff --git a/distro-fixes-64-bit.patch b/distro-fixes-64-bit.patch
new file mode 100644
index 00000000000..142c6c0bb23
--- /dev/null
+++ b/distro-fixes-64-bit.patch
@@ -0,0 +1,26 @@
+--- distro_fixes.sh.old 2017-04-06 15:12:56.520859032 -0700
++++ distro_fixes.sh 2017-04-06 14:55:20.578934713 -0700
+@@ -137,6 +137,23 @@
+ dlog WARN "Could not find a 32-bit zlib"
+ fi
+
++elif [ x"$DF_ARCH" = x'64-bit' ] && [ x"$ARCH" = x'x86_64' ]; then
++ if [ x"$OS" = x'arch' ] || [ x"$OS" = x'antergos' ] || [ x"$OS" = x'manjarolinux' ]; then
++ find_zlib /usr/lib64/libz.so /usr/lib64
++ if [ -e "/usr/lib64/libstdc++.so.6" ]; then
++ export PRELOAD_LIB="${PRELOAD_LIB:+$PRELOAD_LIB:}/usr/lib64/libstdc++.so.6"
++ else
++ dlog WARN "Could not find /usr/lib64/libstdc++.so.6"
++ fi
++ else
++ dlog "WARN" "64bit 'Dwarf_Fortress' on unhandled 64bit OS detected. If you get 'missing file' errors, please open an issue on Github: https://github.com/Lazy-Newb-Pack/Lazy-Newb-Pack-Linux/issues."
++ find_zlib
++ fi
++
++ if [ -z "$ZLIB_PATH" ]; then
++ dlog WARN "Could not find a 64-bit zlib"
++ fi
++
+ elif [ x"$DF_ARCH" = x'32-bit' ]; then
+ find_zlib
+ fi
diff --git a/dwarffortress-lnp-git.install b/dwarffortress-lnp-git.install
index 4d22d505211..94e6b5e8d2b 100644
--- a/dwarffortress-lnp-git.install
+++ b/dwarffortress-lnp-git.install
@@ -3,7 +3,7 @@ post_install() {
echo 'Installed. Run lnp to launch.'
echo 'You may have to delete ~/.dwarffortress-lnp-git to get latest version (you will have to manually back up saves)'
echo 'Refer to ~./dwarffortress-lnp-git/LNP/ for local LNP base directory'
- echo 'Optional utilites can be installed by adding a symlink to /opt/dwarffortress-lnp-git/LNP/Utilities'
+ echo 'Optional utilites can be installed by adding a symlink to /opt/dwarffortress-lnp-git/LNP/utilities'
echo 'If you run into issues, try examining ~/.dwarffortress-lnp-git/df_linux/distro_specific_fixes.sh for distro related problems.'
echo 'NOTE: For certain graphics packs, you may have to manually edit the df_maxversion value in manifest.json files in the pack subfolders of ~/.dwarffortress-lnp-git/LNP/graphics'
}